org.springframework.data.relational.core.conversion

## Class DbActionExecutionResult

- java.lang.Object
- - org.springframework.data.relational.core.conversion.DbActionExecutionResult

    public class DbActionExecutionResult
    extends Object

Since:
  2.0
Author:
  Jens Schauder

### Constructor Summary

Constructors
Constructor and Description
`DbActionExecutionResult()`
`DbActionExecutionResult(DbAction<?> action, Object newId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DbAction<?>` `getAction()`
`Object` `getId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DbActionExecutionResult

    public DbActionExecutionResult(DbAction<?> action,
                                   @Nullable
                                   Object newId)

#### DbActionExecutionResult

    public DbActionExecutionResult()

### Method Detail

#### getId

    @Nullable
    public Object getId()

#### getAction

    public DbAction<?> getAction()